package com.atlassian.bitbucket.mesh.git.builder.foreachref;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilderSupport;

import javax.annotation.Nonnull;

public interface GitForEachRefBuilder extends GitProcessBuilderSupport<GitForEachRefBuilder> {

    @Nonnull
    GitForEachRefBuilder count(int value);

    @Nonnull
    GitForEachRefBuilder format(String value);

    @Nonnull
    GitForEachRefBuilder pattern(String value);

    @Nonnull
    GitForEachRefBuilder patterns(String value, String... values);

    @Nonnull
    GitForEachRefBuilder patterns(Iterable<String> values);

    @Nonnull
    GitForEachRefBuilder sort(String value);
}
